/********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

:host ::ng-deep .p-chip.mdmtag {
  background: var(--primary-color);
  color: var(--primary-color-text);
}

:host ::ng-deep .p-chip.mdmtag .p-chip-text{
  margin: 0;
}

/* defines status badge */
.status-badge {
  margin-left: 5px;
  border-radius: 4px;
  padding: 0.25em 0.5rem;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 14px;
  letter-spacing: 0.3px;
}

/* defines tags badge */
.tag-badge {
  margin-left: 5px;
  border-radius: 4px;
  padding: 0.25em 0.5rem;
  font-weight: 700;
  font-size: 14px;
  letter-spacing: 0.3px;
  background-color: darkgray;
}

/* defines icon and header style in panel */
.pannel-icon-header {
  background-repeat: no-repeat;
  background-position: left center;
  padding-left: 18px;
  margin: 0;
  float: left;
  vertical-align: middle;
  font-size: 16px;
}

.panel-mdmtag-header {
  background-repeat: no-repeat;
  background-position: left center;
  padding-left: 18px;
  margin: 0;
  float: left;
  vertical-align: middle;
  font-size: 16px;
}

/** vertical align of header and icon */
.margin5 {
  margin: 5px;
}

:host ::ng-deep .p-panel-content {
  padding: 0.5rem;
}